%define major_version 1.1
%define minor_version 7

Name: 		389-console
Version: 	%{major_version}.%{minor_version}
Release: 	%mkrel 2
Summary: 	389 Management Console
Group: 		System/Servers
License: 	LGPLv2
URL: 		http://port389.org
Source: 	http://port389.org/sources/%{name}-%{version}.tar.bz2
BuildRequires: 	ant
BuildRequires: 	ldapjdk
BuildRequires: 	jss
BuildRequires: 	idm-console-framework
BuildRequires: 	java-devel >= 1:1.6.0
Requires: 	idm-console-framework
Requires: 	java >= 1:1.6.0
Requires: 	which
BuildArch: 	noarch
 

%description
A Java based remote management console used for managing 389
Administration Server and 389 Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dbuilt.dir=`pwd`/built \
    -Djss.local.location=%{_libdir}/java \

# add -Dlib.dir and -Dneed_libdir on those platforms where
# jss is installed in a non-standard location
# -Dneed_libdir=yes

%install
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 built/%{name} $RPM_BUILD_ROOT/%{_bindir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}_en.jar %{name}-%{major_version}_en.jar
ln -s %{name}-%{version}_en.jar %{name}_en.jar
popd

%files
%doc LICENSE
%{_javadir}/%{name}-%{version}_en.jar
%{_javadir}/%{name}-%{major_version}_en.jar
%{_javadir}/%{name}_en.jar
%{_bindir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.7-2.mga3
+ Revision: 345049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 spuhler <spuhler> 1.1.7-1.mga3
+ Revision: 311420
- cleaned spec file and added java patch
- imported package 389-console

